tidy up patches, clean out old junk
authorDonny Davies <woodchip@gentoo.org>
Sat, 12 Oct 2002 21:16:25 +0000 (21:16 +0000)
committerDonny Davies <woodchip@gentoo.org>
Sat, 12 Oct 2002 21:16:25 +0000 (21:16 +0000)
net-www/apache/ChangeLog
net-www/apache/apache-1.3.26-r3.ebuild [deleted file]
net-www/apache/apache-1.3.27-r1.ebuild [moved from net-www/apache/apache-1.3.26-r4.ebuild with 83% similarity]
net-www/apache/files/apache.rc6
net-www/apache/files/apachefixconf [deleted file]
net-www/apache/files/digest-apache-1.3.27-r1 [new file with mode: 0644]
net-www/apache/files/find-dbm-lib [deleted file]

index 92eb6ad019a3c47e5d17ec6e069396bca5c399ba..fe5a7cb17cff7b29a7ec663e859e56b8bf60421c 100644 (file)
@@ -1,6 +1,13 @@
 # ChangeLog for net-www/apache
 # Copyright 2002 Gentoo Technologies, Inc.; Distributed under the GPL
-# $Header: /var/cvsroot/gentoo-x86/net-www/apache/ChangeLog,v 1.27 2002/10/06 09:37:34 carpaski Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-www/apache/ChangeLog,v 1.28 2002/10/12 21:16:25 woodchip Exp $
+
+*apache-1.3.27-r1 (12 Oct 2002)
+
+  12 Oct 2002; Donny Davies <woodchip@gentoo.org> :
+  Added redhat db-4 patch, tweaked sys-libs/db dependency to make things
+  more sane.  Swept up patches into a single diff.  Added (Gentoo/Linux)
+  to the server_version string.  Clean out old junk.  Help out the #8759 people ;-)
 
 *apache-1.3.27 (06 Oct 2002)
 
diff --git a/net-www/apache/apache-1.3.26-r3.ebuild b/net-www/apache/apache-1.3.26-r3.ebuild
deleted file mode 100644 (file)
index aba95ec..0000000
+++ /dev/null
@@ -1,263 +0,0 @@
-# Copyright 1999-2002 Gentoo Technologies, Inc.
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-www/apache/apache-1.3.26-r3.ebuild,v 1.6 2002/10/04 06:18:56 vapier Exp $
-
-mod_ssl_ver=2.8.9-${PV}
-HARD_SERVER_LIMIT=512
-
-S=${WORKDIR}/apache_${PV}
-DESCRIPTION="The Apache Web Server"
-HOMEPAGE="http://www.apache.org http://www.modssl.org"
-SRC_URI="http://httpd.apache.org/dist/httpd/apache_${PV}.tar.gz
-       ftp://ftp.modssl.org/source/mod_ssl-${mod_ssl_ver}.tar.gz"
-# The mod_ssl archive is only for providing the EAPI patch in here.
-# You should install the net-www/mod_ssl package for the actual DSO.
-
-RDEPEND="virtual/glibc
-       =sys-libs/db-1*
-       =sys-libs/db-3*
-       >=dev-libs/mm-1.1.3
-       >=sys-libs/gdbm-1.8
-       >=dev-libs/expat-1.95.2"
-DEPEND="${RDEPEND} sys-devel/perl"
-
-SLOT="1"
-LICENSE="Apache-1.1"
-KEYWORDS="x86 ppc sparc sparc64"
-
-src_unpack() {
-       local myssl
-       unpack ${A} ; cd ${S}
-
-       # some nice patches..
-       patch -p1 < ${FILESDIR}/${PV}/mdk/apache_1.3.11-apxs.patch || die m1
-       patch -p1 < ${FILESDIR}/${PV}/mdk/apache_1.3.22-srvroot.patch || die m2
-       patch -p1 < ${FILESDIR}/${PV}/mdk/apache-1.3.14-mkstemp.patch || die m3
-       patch -p0 < ${FILESDIR}/${PV}/mdk/apache-1.3.20.manpage.patch || die m4
-       patch -p1 < ${FILESDIR}/${PV}/deb/apxs_wrong_prefix || die d1
-       patch -p1 < ${FILESDIR}/${PV}/deb/custom_response_segfaults || die d2
-       patch -p1 < ${FILESDIR}/${PV}/deb/mime_type_fix || die d3
-       patch -p1 < ${FILESDIR}/${PV}/deb/regex_must_conform_to_posix_for_LFS_to_work || die d4
-       patch -p1 < ${FILESDIR}/${PV}/deb/suexec_combined || die d5
-       patch -p1 < ${FILESDIR}/${PV}/deb/suexec_of_death || die d6
-       patch -p1 < ${FILESDIR}/${PV}/deb/usr_bin_perl_owns_you || die d7
-
-       # yet another perl path fix..
-       cp htdocs/manual/search/manual-index.cgi \
-               htdocs/manual/search/manual-index.cgi.orig
-       sed -e "s:/usr/local/bin/perl5:/usr/bin/perl:" \
-               htdocs/manual/search/manual-index.cgi.orig \
-               > htdocs/manual/search/manual-index.cgi
-       rm -f htdocs/manual/search/manual-index.cgi.orig
-
-       # setup eapi...
-       myssl=${S}/../mod_ssl-${mod_ssl_ver}
-       cp ${myssl}/pkg.eapi/*.h src/include
-       cp ${myssl}/pkg.eapi/*.c src/ap
-       patch -p0 < ${myssl}/pkg.eapi/eapi.patch || die eapi
-
-       # set a reasonable MM_CORE_PATH location..
-       mv src/include/httpd.h src/include/httpd.h.orig
-       sed -e 's:logs/mm:/var/cache/apache-mm/mm:' \
-               src/include/httpd.h.orig > src/include/httpd.h
-
-       # fix this silly script so it finds a db lib..
-       mv src/helpers/find-dbm-lib src/helpers/find-dbm-lib.orig
-       cp ${FILESDIR}/find-dbm-lib src/helpers
-}
-
-src_compile() {
-       local myconf mycflags
-       mycflags="${CFLAGS}"
-       unset CFLAGS ; unset CXXFLAGS
-
-       # Allow users to move the default data directory by setting the
-       # home directory of the 'apache' user elsewhere.
-       DATA_DIR=`grep ^apache: /etc/passwd | cut -d: -f6`
-
-       if [ -z "$DATA_DIR" ]; then
-               eerror "DATA_DIR is null! Using defaults."
-               eerror "You probably want to check /etc/passwd"
-               DATA_DIR="/home/httpd"
-       fi
-
-       einfo "Using $DATA_DIR as the default data directory."
-        
-       select_modules_config || \
-       die "couldn't find apache-builtin-mods config file"        
-
-       #-DBUFFERED_LOGS
-       OPTIM="${mycflags} -DHARD_SERVER_LIMIT=${HARD_SERVER_LIMIT} \
-               -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" \
-       LIBS="-lgdbm -lpthread" \
-       EAPI_MM=SYSTEM \
-       ./configure \
-               --prefix=/usr \
-               --exec-prefix=/usr \
-               --bindir=/usr/bin \
-               --sbindir=/usr/sbin \
-               --libexecdir=/usr/lib/apache \
-               --mandir=/usr/share/man \
-               --sysconfdir=/etc/apache/conf \
-               --datadir=${DATA_DIR} \
-               --iconsdir=${DATA_DIR}/icons \
-               --htdocsdir=${DATA_DIR}/htdocs \
-               --manualdir=/usr/share/doc/${PF}/manual \
-               --cgidir=${DATA_DIR}/cgi-bin \
-               --includedir=/usr/include/apache \
-               --localstatedir=/var \
-               --runtimedir=/var/run \
-               --logfiledir=/var/log/apache \
-               --proxycachedir=/var/cache/apache \
-               --serverroot=/etc/apache \
-               \
-               --target=apache \
-               --server-uid=apache \
-               --server-gid=apache \
-               --enable-rule=EAPI \
-               --enable-rule=SHARED_CHAIN \
-               --with-perl=/usr/bin/perl \
-               \
-               ${MY_BUILTINS} \
-               \
-               --enable-suexec \
-               --suexec-uidmin=1000 \
-               --suexec-gidmin=100 \
-               --suexec-caller=apache \
-               --suexec-userdir=public_html \
-               --suexec-docroot=${DATA_DIR}/htdocs \
-               --suexec-safepath="/bin:/usr/bin" \
-               --suexec-logfile=/var/log/apache/suexec_log \
-               \
-               ${myconf} || die "bad ./configure"
-
-       emake || die "compile problem"
-}
-
-src_install() {
-       # Allow users to move the default data directory by setting the
-       # home directory of the 'apache' user elsewhere.
-       DATA_DIR=`grep ^apache: /etc/passwd | cut -d: -f6`
-
-       if [ -z "$DATA_DIR" ]; then
-               eerror "DATA_DIR is null! Using defaults."
-               eerror "You probably want to check /etc/passwd"
-               DATA_DIR="/home/httpd"
-       fi
-
-       local myfile
-       make install-quiet root=${D} || die
-       dodoc ABOUT_APACHE Announcement INSTALL* LICENSE* README* WARNING*
-
-       fowners root.apache /usr/sbin/suexec
-       fperms 4710 /usr/sbin/suexec
-       #fowners apache.apache ${DATA_DIR}
-       #fowners apache.apache ${DATA_DIR}/htdocs
-
-       # nice support scripts..    # apachefixconf
-       for myfile in apacheaddmod apachedelmod \
-               apachelogserverstatus apachesplitlogfile
-       do
-               exeinto /usr/sbin
-               doexe ${FILESDIR}/$myfile
-       done
-
-       # setup links in /etc/apache..
-       cd ${D}/etc/apache
-       ln -sf ../../usr/lib/apache modules
-       # apxs needs this to pickup the right lib for install..
-       ln -sf ../../usr/lib lib
-       ln -sf ../../var/log/apache logs
-       ln -sf ../../usr/lib/apache-extramodules extramodules
-
-       # drop in a convenient link to the manual
-       dosym /usr/share/doc/${PF}/manual ${DATA_DIR}/htdocs/manual
-
-       # deprecated config files, empty dirs..
-       rm -f ${D}/etc/apache/conf/access.conf*
-       rm -f ${D}/etc/apache/conf/srm.conf*
-
-       # We can't delete this if users specify /var/httpd for datadir
-       #       rm -rf ${D}/var
-
-       # now the config files..
-       insinto /etc/apache/conf
-       doins ${FILESDIR}/conf/commonapache.conf
-       doins ${FILESDIR}/conf/apache.conf
-                       
-       insinto /etc/apache/conf/vhosts
-       doins ${FILESDIR}/conf/VirtualHomePages.conf
-       doins ${FILESDIR}/conf/DynamicVhosts.conf
-       doins ${FILESDIR}/conf/Vhosts.conf
-
-       exeinto /etc/init.d ; newexe ${FILESDIR}/apache.rc6 apache
-       insinto /etc/conf.d ; newins ${FILESDIR}/apache.confd apache
-       insinto /etc/apache ; doins ${FILESDIR}/apache-builtin-mods
-
-       if [ "$DATA_DIR" != "/home/httpd" ]; then
-               einfo "Updating data_dir path."
-               echo grep -lr /home/httpd ${D}
-               grep -lr /home/httpd ${D}
-               sleep 30s
-               for FILE in `grep -lr /home/httpd ${D}`; do
-                       echo "Running sed on: ${FILE}"
-                       cp ${FILE} ${FILE}.orig
-                       echo sed "s:/home/httpd:$DATA_DIR:g"
-                       sed "s:/home/httpd:$DATA_DIR:g" < ${FILE}.orig > ${FILE}
-                       rm ${FILE}.orig
-               done
-       fi
-}
-
-pkg_postinst() {
-       # these are in baselayout now; it will not hurt to leave them here though..
-
-       if ! groupmod apache; then
-               groupadd -g 81 apache || die "problem adding group apache"
-       fi
-
-       # usermod returns 2 on user-exists-but-no-flags-given
-       usermod apache &>/dev/null
-       if [ $? != 2 ]; then
-               useradd -u 81 -g apache -s /bin/false -d /home/httpd -c "apache" apache
-               assert "problem adding user apache"
-       fi
-
-       # empty dirs..
-       install -d -o apache -g apache ${ROOT}/var/cache/apache
-       install -d -o apache -g apache -m1333 ${ROOT}/var/cache/apache-mm
-       install -d -o root -g root -m0755 ${ROOT}/usr/lib/apache-extramodules
-       install -d -o root -g root -m0755 ${ROOT}/etc/apache/conf/addon-modules
-       install -d -o root -g root -m0755 ${ROOT}/var/log/apache
-}
-
-parse_modules_config() {
-       local filename=$1
-       local name=""
-       local dso=""
-       local disable=""
-       [ -f ${filename} ] || return 1
-       einfo ">>> using ${filename} for builtins..."
-       for i in `cat $filename | sed "s/^#.*//"` ; do
-               if [ $i == "-" ] ; then
-                       disable="true"
-               elif [ -z "$name" ] && [ ! -z "`echo $i | grep "mod_"`" ] ; then
-                       name=`echo $i | sed "s/mod_//"`
-               elif [ "$disable" ] && ( [ $i == "static" ] || [ $i == "shared" ] ) ; then
-                       MY_BUILTINS="${MY_BUILTINS} --disable-module=$name"
-                       name="" ; disable=""
-               elif [ $i == "static" ] ; then
-                       MY_BUILTINS="${MY_BUILTINS} --enable-module=$name --disable-shared=$name"
-                       name="" ; disable=""
-               elif [ $i == "shared" ] ; then
-                       MY_BUILTINS="${MY_BUILTINS} --enable-module=$name --enable-shared=$name"
-                       name="" ; disable=""
-               fi
-       done
-}
-
-select_modules_config() {
-       parse_modules_config /etc/apache/apache-builtin-mods || \
-       parse_modules_config ${FILESDIR}/apache-builtin-mods || \
-       return 1
-}
similarity index 83%
rename from net-www/apache/apache-1.3.26-r4.ebuild
rename to net-www/apache/apache-1.3.27-r1.ebuild
index aa92237edb71d25881508f293e25593f3d21ff90..896874e589a51e42fef6ee31225d41ffb4716c35 100644 (file)
@@ -1,45 +1,32 @@
 # Copyright 1999-2002 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-www/apache/apache-1.3.26-r4.ebuild,v 1.8 2002/10/04 06:18:59 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-www/apache/apache-1.3.27-r1.ebuild,v 1.1 2002/10/12 21:16:25 woodchip Exp $
 
-mod_ssl_ver=2.8.9-${PV}
-HARD_SERVER_LIMIT=512
+mod_ssl_ver=2.8.11-${PV}
 
 S=${WORKDIR}/${PN}_${PV}
 DESCRIPTION="The Apache Web Server"
 HOMEPAGE="http://www.apache.org http://www.modssl.org"
 KEYWORDS="x86 ppc sparc sparc64"
 SRC_URI="http://httpd.apache.org/dist/httpd/apache_${PV}.tar.gz
+       mirror://gentoo/${P}-gentoo.diff.bz2
        ftp://ftp.modssl.org/source/mod_ssl-${mod_ssl_ver}.tar.gz"
 # The mod_ssl archive is only for providing the EAPI patch in here.
 # You should install the net-www/mod_ssl package for the actual DSO.
 
-RDEPEND="virtual/glibc
-       =sys-libs/db-1*
-       =sys-libs/db-3*
+DEPEND="sys-devel/perl sys-libs/db
        >=dev-libs/mm-1.1.3
        >=sys-libs/gdbm-1.8
        >=dev-libs/expat-1.95.2"
-DEPEND="${RDEPEND} sys-devel/perl"
+RDEPEND="${DEPEND}"
 LICENSE="Apache-1.1"
 SLOT="1"
 
 src_unpack() {
        local myssl
-       unpack ${A} ; cd ${S}
-
-       # some nice patches..
-       patch -p1 < ${FILESDIR}/${PV}/mdk/apache_1.3.11-apxs.patch || die m1
-       patch -p1 < ${FILESDIR}/${PV}/mdk/apache_1.3.22-srvroot.patch || die m2
-       patch -p1 < ${FILESDIR}/${PV}/mdk/apache-1.3.14-mkstemp.patch || die m3
-       patch -p0 < ${FILESDIR}/${PV}/mdk/apache-1.3.20.manpage.patch || die m4
-       patch -p1 < ${FILESDIR}/${PV}/deb/apxs_wrong_prefix || die d1
-       patch -p1 < ${FILESDIR}/${PV}/deb/custom_response_segfaults || die d2
-       patch -p1 < ${FILESDIR}/${PV}/deb/mime_type_fix || die d3
-       patch -p1 < ${FILESDIR}/${PV}/deb/regex_must_conform_to_posix_for_LFS_to_work || die d4
-       patch -p1 < ${FILESDIR}/${PV}/deb/suexec_combined || die d5
-       patch -p1 < ${FILESDIR}/${PV}/deb/suexec_of_death || die d6
-       patch -p1 < ${FILESDIR}/${PV}/deb/usr_bin_perl_owns_you || die d7
+       unpack ${A} || die
+       cd ${S} || die
+       bzip2 -dc ${DISTDIR}/${P}-gentoo.diff.bz2 | patch -p1 || die
 
        # yet another perl path fix..
        cp htdocs/manual/search/manual-index.cgi \
@@ -50,7 +37,7 @@ src_unpack() {
        rm -f htdocs/manual/search/manual-index.cgi.orig
 
        # setup eapi...
-       myssl=${S}/../mod_ssl-${mod_ssl_ver}
+       myssl=${WORKDIR}/mod_ssl-${mod_ssl_ver}
        cp ${myssl}/pkg.eapi/*.h src/include
        cp ${myssl}/pkg.eapi/*.c src/ap
        patch -p0 < ${myssl}/pkg.eapi/eapi.patch || die eapi
@@ -59,10 +46,6 @@ src_unpack() {
        mv src/include/httpd.h src/include/httpd.h.orig
        sed -e 's:logs/mm:/var/cache/apache-mm/mm:' \
                src/include/httpd.h.orig > src/include/httpd.h
-
-       # fix this silly script so it finds a db lib..
-       mv src/helpers/find-dbm-lib src/helpers/find-dbm-lib.orig
-       cp ${FILESDIR}/find-dbm-lib src/helpers
 }
 
 src_compile() {
@@ -86,7 +69,7 @@ src_compile() {
        die "couldn't find apache-builtin-mods config file"
 
        #-DBUFFERED_LOGS
-       OPTIM="${mycflags} -DHARD_SERVER_LIMIT=${HARD_SERVER_LIMIT} \
+       OPTIM="${mycflags} -DHARD_SERVER_LIMIT=${HARD_SERVER_LIMIT:=512} \
                -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" \
        LIBS="-lgdbm -lpthread" \
        EAPI_MM=SYSTEM \
@@ -152,14 +135,14 @@ src_install() {
 
        local myfile
        make install-quiet root=${D} || die
-       dodoc ABOUT_APACHE Announcement INSTALL* LICENSE* README* WARNING*
+       dodoc ABOUT_APACHE Announcement INSTALL* LICENSE* README* WARNING* ${FILESDIR}/robots.txt
 
        fowners root.${GID} /usr/sbin/suexec
        fperms 4710 /usr/sbin/suexec
        #fowners apache.apache ${DATA_DIR}
        #fowners apache.apache ${DATA_DIR}/htdocs
 
-       # nice support scripts..    # apachefixconf
+       # nice support scripts..
        for myfile in apacheaddmod apachedelmod \
                apachelogserverstatus apachesplitlogfile
        do
@@ -179,6 +162,7 @@ src_install() {
        dosym /usr/share/doc/${PF}/manual ${DATA_DIR}/htdocs/manual
 
        # deprecated config files, empty dirs..
+       rm -f ${D}/etc/apache/conf/apache.conf.default
        rm -f ${D}/etc/apache/conf/access.conf*
        rm -f ${D}/etc/apache/conf/srm.conf*
 
@@ -250,7 +234,7 @@ parse_modules_config() {
        local dso=""
        local disable=""
        [ -f ${filename} ] || return 1
-       einfo ">>> using ${filename} for builtins..."
+       einfo "Using ${filename} for builtins."
        for i in `cat $filename | sed "s/^#.*//"` ; do
                if [ $i == "-" ] ; then
                        disable="true"
index 2358e6c9e9152f01b0058eaa2fe002d63a3296a7..77f95cb7f4352cc12276e947888dc5f0cb32402b 100644 (file)
@@ -5,7 +5,7 @@
 
 depend() {
        need net
-       use mysql named
+       use mysql dns logger
 }
 
 start() {
@@ -35,4 +35,3 @@ svc_restart() {
                eend $?
        fi
 }
-
diff --git a/net-www/apache/files/apachefixconf b/net-www/apache/files/apachefixconf
deleted file mode 100644 (file)
index c69c53c..0000000
+++ /dev/null
@@ -1,113 +0,0 @@
-#!/usr/bin/perl
-# $Header: /var/cvsroot/gentoo-x86/net-www/apache/files/apachefixconf,v 1.2 2002/05/04 23:23:01 woodchip Exp $
-#
-# apachefixconf
-# Script to fix a module include file
-# (C) 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> and Mandrakesoft
-# You can use it under the Apache Licence
-
-# The script removes all LoadModule/Addmodule directives from a module
-# config file (addon-modules/mod_foo.conf) and puts the whole file 
-# between IfDefine's
-
-$bakpath="/etc/apache/conf/bak";
-
-if ((!$ARGV[0]) || (!$ARGV[1]) || (!$ARGV[2]) || (!$ARGV[3])) {
-    print "Usage: $0 <conffile> <mod_filename> <mod_name> \n";
-    print "<name_module> [OPTIONS]\n";
-    print "Options:\n";
-    print " ifmodule will wrap config between <Ifmodule mod_name>\n";
-    die "\n";
-}
-
-sub debug{
-    if ($DEBUG) { foreach (@_) { print $_; } }
-}
-
-$_=$ARGV[1];
-       s/^.*\///g;
-       s/^mod_//g;
-       s/^lib//g;
-       s/\.so$//g;
-$modso=$_;
-
-$modc=$ARGV[2];
-$name_mod=$ARGV[3];
-
-@confparts=split(/\//,$ARGV[0]);
-
-if ($#confparts==0) { 
-#    debug "confparts=0\n";
-    $confpath="/etc/apache/conf"; 
-    $conf="$ARGV[0]";
-} else {
-#    debug "confparts=$#confparts\n";
-    $conf="$confparts[$#confparts]";
-    $confpath=join('/',@confparts[0 .. $#confparts-1]);
-}
-
-system("mkdir -p $bakpath") ==0  
-       or die "Can't create backup directory $bakpath\n";
-
-#debug "Confpath: $confpath\n";
-#debug "Conffile: $conf\n";
-#debug "Backups: $bakpath\n";
-
-
-foreach (@ARGV) {
-    if (/ifmodule/i) {
-       $opendef="<IfModule $modc>\n";
-       $closedef="</IfModule>\n";
-       debug "##ifmodule $modc##\n";
-    }
-}
-
-
-$_=`date +%Y%m%d-%T`;chop;s/:/./g;$dat=$_;
-$bak="$conf-$dat";
-debug "$bak\n";
-
-
-open(BAK,">$bakpath/$bak") or die "Can't create $bakpath/$bak\n";
-open(CONFF,"$confpath/$conf") or die "Can't open $confpath/$conf\n";
-
-while (<CONFF>) {
-    print BAK $_;
-    if (($opendef) && (/^$opendef/i)) { 
-       debug "$opendef";
-       $mysection=1;
-    }
-    if (/^#*LoadModule\s+$name_mod\s+.*$modso/i) {
-       $delline{$.}=1;
-       debug "Deleting Loadmodule at line $.\n";
-    }
-    if (/^#*AddModule\s+$modc/i) {
-       $delline{$.}=1;
-       debug "Deleting Addmodule at line $.\n";
-    }
-}
-
-close(CONFF);
-close(BAK);
-
-debug "-----\n";
-foreach (sort keys %delline) {
-    debug "Delete line $_=";
-    debug $delline{$_};
-    debug "\n";
-}
-debug "-----\n";
-
-open(BAK,"$bakpath/$bak") or die "Can't open $bakpath/$bak\n";
-open(CONFF,">$confpath/$conf") or die "Can't create $confpath/$conf\n";
-
-if ($mysection!=1) { print CONFF $opendef; }
-while (<BAK>) {
-    if ($delline{$.}!=1) {
-    print CONFF $_;
-    }
-}
-if ($mysection!=1) { print CONFF $closedef; }
-
-close(CONFF);
-close(BAK);
diff --git a/net-www/apache/files/digest-apache-1.3.27-r1 b/net-www/apache/files/digest-apache-1.3.27-r1
new file mode 100644 (file)
index 0000000..c000a4d
--- /dev/null
@@ -0,0 +1,3 @@
+MD5 65b89365a65dcad71d4402b4862beeaa apache_1.3.27.tar.gz 2306052
+MD5 312e00edcf29057235acca7c2f56e068 apache-1.3.27-gentoo.diff.bz2 6963
+MD5 f84bd971aa8db28f31ad6bab2e7acc2c mod_ssl-2.8.11-1.3.27.tar.gz 753416
diff --git a/net-www/apache/files/find-dbm-lib b/net-www/apache/files/find-dbm-lib
deleted file mode 100644 (file)
index 7ee86ca..0000000
+++ /dev/null
@@ -1,35 +0,0 @@
-# Our config tool sucks... if this script decides to modify the
-# LIBS variable it won't be used by any of the other TestCompiles.
-# So unless we protect ourselves with the found_dbm variable
-# we'd end up having to do the work twice... and we'd end up putting
-# two -ldbm -ldbm into the LIBS variable.
-# $Header: /var/cvsroot/gentoo-x86/net-www/apache/files/find-dbm-lib,v 1.2 2002/05/04 23:23:01 woodchip Exp $
-
-if [ "x$found_dbm" = "x" ]; then
-       found_dbm=0
-               # many systems don't have -ldbm
-               DBM_LIB=""
-               if ./helpers/TestCompile lib ndbm dbm_open; then
-                   DBM_LIB="-lndbm"
-                   if ./helpers/TestCompile lib db1 dbm_open; then
-                       # Red Hat needs this; ndbm.h lives in db1
-                       CFLAGS="$CFLAGS -I/usr/include/db1"
-                   fi
-               elif ./helpers/TestCompile lib db1 dbm_open; then
-                   # For Red Hat 7, if not handled by the ndbm case above
-                   DBM_LIB="-ldb1"
-                   CFLAGS="$CFLAGS -I/usr/include/db1"
-                elif ./helpers/TestCompile lib gdbm dbm_open; then
-                    DBM_LIB="-lgdbm"
-                    CFLAGS="$CFLAGS -I/usr/include/gdbm"
-               elif ./helpers/TestCompile lib dbm dbm_open; then
-                   DBM_LIB="-ldbm"
-               fi
-               if [ "x$DBM_LIB" != "x" ]; then
-                   LIBS="$LIBS $DBM_LIB"
-                   found_dbm=1
-               fi
-       if [ "x$found_dbm" = "x1" ]; then
-           echo " + using $DBM_LIB for DBM support"
-       fi
-fi